﻿using UnityEngine;
using System.Collections;

//Juri Kiin

public class CreateTerrain : MonoBehaviour {

	public Transform plane;	//The object we want to spawn
	public int rows;	//How many rows of planes we want to create.
	public int cols;	//How many columns we want to create.
	public GameObject player;
	
	public void Start()
	{
		for(int i=0;i<rows;i++)	//For how many rows we want
		{
			for(int j=0;j<cols;j++)	//For how many columns we want
			{
				Instantiate(plane,new Vector3(transform.position.x+(10*i),0,transform.position.z+(10*j)),Quaternion.identity);	//Instantiate a plane at this position
			}
		}

		player.transform.position = new Vector3 (this.transform.position.x,this.transform.position.y + 5,this.transform.position.z);	//Put the player at this position.
	}

}
